# Generated by Django 5.1.3 on 2024-11-25 11:23

import django.core.validators
import django.db.models.deletion
import django_editorjs2.models
import uuid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='EditorJsUploadFiles',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('name', models.CharField(help_text='Enter file name.', max_length=100)),
                ('file', models.FileField(upload_to=django_editorjs2.models.custom_upload_to, validators=[django_editorjs2.models.MaxFileSizeValidator(5242880), django.core.validators.FileExtensionValidator(allowed_extensions=['zip', 'doc', 'docx', 'pdf', 'txt', 'csv', 'xlsx', 'xls', 'pptx', 'mp4', 'avi', 'mkv', 'mov', 'webm', 'm4v', 'mpeg', 'm4p', 'gif', 'wmv'])], verbose_name='File')),
                ('storage_used', models.BigIntegerField(blank=True, editable=False, null=True, verbose_name='Storage Used (in kb)')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='editorjs_uploaded_files', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'EditorJs File',
                'verbose_name_plural': 'EditorJs Files',
                'ordering': ['-created_at'],
            },
        ),
    ]
